## Android Map环境配置
### 配置访问权限
- 首先进入到插件对应的android的moudule目录`NBMap/android/src/main/`,在对应的 `AndroidManifest.xml`文件中添加如下相关的权限设置
```xml
<!--允许程序打开网络套接字-->
<uses-permission android:name="android.permission.INTERNET" />
<!--允许程序设置内置sd卡的写权限-->
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
<!--允许程序获取网络状态-->
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
<!--允许程序访问WiFi网络信息-->
<uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
<!--允许程序读写手机状态和身份-->
<uses-permission android:name="android.permission.READ_PHONE_STATE" />
<!--允许程序访问CellID或WiFi热点来获取粗略的位置-->
<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
<!--用于访问GPS定位-->
<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
<!--这个权限用于获取wifi的获取权限，wifi信息会用来进行网络定位-->
<uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
<!--这个权限用于允许程序在手机屏幕关闭后后台进程仍然运行-->
<uses-permission android:name="android.permission.WAKE_LOCK" />
```

2. 设置`package name`和 插件中指定的 android package name一致,src/main/kotlin或者src/main/java目录下的的插件文件夹目录需要与yaml文件中的插件名字相同,这里以kotlin创建的项目为例子,对应的包目录结构为`com/mobileconnected/amap/map/`, yaml中对应的包名为`com.mobileconnected.amap.map`
```yaml
plugin:
androidPackage: com.mobileconnected.amap.map
```
```
NBMap/android/src/main/kotlin/com/mobileconnected/amap/map/
```
3. 在插件`build.gradle`中指定包的路径并添加高德地图的依赖库
```
NBMap/android/build.gradle
group 'com.mobileconnected.amap.map'

dependencies {
implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
implementation 'com.amap.api:3dmap:6.9.4'
}
```
4. 然后在对应的包目录下面编写android native端的代码.



