// Copyright 2019 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

package com.mobileconnected.amap.map;

import com.amap.api.maps.model.LatLng;
import java.util.List;

/**
 * Receiver of Polyline configuration options.
 */
interface PolylineOptionsSink {

    void setConsumeTapEvents(boolean consumetapEvents);

    void setColor(int color);

    //TODO remove endCap since Amap does not have this conception
//    void setEndCap(Cap endCap);

    void setGeodesic(boolean geodesic);

    //TODO 无法转化google的joint type 到对应的高德这边
//    void setJointType(int jointType);

    //TODO remove pattern since Amap does not have this conception
//    void setPattern(List<PatternItem> pattern);

    void setPoints(List<LatLng> points);

    //TODO remove startCap since Amap does not have this conception
//    void setStartCap(Cap startCap);

    void setVisible(boolean visible);

    void setWidth(float width);

    void setZIndex(float zIndex);
}
