//
//  MAMapView+CenterAroundVisiableOverlays.h
//  nb_map
//
//  Created by Guo Longxiang, (Longxiang.Guo@partner.bmw.com) on 2019/11/6.
//

#import "NBMapCircleController.h"
#import "NBMapMarkerController.h"
#import "NBMapPolylineController.h"
#import "NBMapPolygonController.h"
#import <MAMapKit/MAMapKit.h>

///A MapView Category for center around current visiable overlays
typedef enum NBVisiableOverlayEvent : NSUInteger {
    NBVisiableOverlayAdd,
    NBVisiableOverlayDelete,
} NBVisiableOverlayEvent;

typedef enum NBCenterMapRule: NSUInteger {
    NBCenterMapAroundPins        = 1 << 1,
    NBCenterMapAroundPolylines   = 1 << 2,
    NBCenterMapAroundPolygons    = 1 << 3,
    NBCenterMapAroundCircles     = 1 << 4,
    NBCenterMapAroundAll         = NBCenterMapAroundPins|NBCenterMapAroundPolylines|NBCenterMapAroundPolygons|NBCenterMapAroundCircles
} NBCenterMapRule;

@interface MAMapView (CenterAroundVisiableOverlays)
- (void)updateCachedOverlay:(id<MAOverlay>)overlay event: (NBVisiableOverlayEvent)event;
- (void)updateCachedMarker:(NBMarker*)marker event: (NBVisiableOverlayEvent)event;
- (void)centerWithRule:(NBCenterMapRule)rules padding:(UIEdgeInsets)padding animated:(BOOL)animated;
@end

