#import "MapPlugin.h" /**Flutter编译时根据`pluginClass`自动生成,所以不加前缀*/
#import "NBMapController.h"
#import <MAMapKit/MAMapView.h>
#import <AMapFoundationKit/AMapServices.h>

static NSObject<FlutterPluginRegistrar>* _registrar;

@implementation NBMapPlugin {
    FlutterMethodChannel* _channel;
    NSMutableDictionary* _mapControllers;
}

+ (NSObject<FlutterPluginRegistrar>*)registrar {
    return _registrar;
}


+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    NBMapFactory* nbMapFactory = [[NBMapFactory alloc] initWithRegistrar:registrar];
    _registrar = registrar;
    [registrar registerViewFactory:nbMapFactory withId:@"plugins.flutter.io/nb_maps"];
   
}

- (NBMapFactory*)mapFromCall:(FlutterMethodCall*)call error:(FlutterError**)error {
    id mapId = call.arguments[@"map"];
    NBMapFactory* controller = _mapControllers[mapId];
    if (!controller && error) {
        *error = [FlutterError errorWithCode:@"unknown_map" message:nil details:mapId];
    }
    return controller;
}

+ (void)setApiKey:(NSString*)apiKey {
    AMapServices.sharedServices.apiKey = apiKey;
}



@end
