//
//  NBCommonUtility.h
//  nb_map
//
//  Created by Guo Longxiang, (Longxiang.Guo@partner.bmw.com) on 2019/11/1.
//

#import <Foundation/Foundation.h>
#import <MAMapKit/MAMapView.h>
NS_ASSUME_NONNULL_BEGIN

@interface NBCommonUtility: NSObject

+ (BOOL)polylineHitTestWithCoordinate:(CLLocationCoordinate2D)coordinate
                              mapView:(MAMapView*)mapView
                       polylinePoints:(MAMapPoint*)polylinePoints
                           pointCount:(NSInteger)pointCount
                            lineWidth:(CGFloat)lineWidth;

+ (MAMapPoint)getVerticalMappedPointOfPoint:(MAMapPoint)pt toLineWithBegin:(MAMapPoint)begin andEnd:(MAMapPoint)end;
+ (MAMapRect)minMapRectForAnnotations:(NSArray *)annotations;
+ (MAMapRect)mapRectForOverlays:(NSArray<id<MAOverlay>> *)overlays;
+ (MAMapRect)minMapRectForMapPoints:(MAMapPoint *)mapPoints count:(NSUInteger)count;
+ (MAMapRect)mapRectUnion:(MAMapRect *)mapRects count:(NSUInteger)count;
+ (double)distanceToPoint:(MAMapPoint)p fromLineSegmentBetween:(MAMapPoint)l1 and:(MAMapPoint)l2;
@end

NS_ASSUME_NONNULL_END
