//
//  NBMarkerViewsFactory.h
//  nb_map
//
//  Created by Guo Longxiang, (Longxiang.Guo@partner.bmw.com) on 2019/11/6.
//

#import <Foundation/Foundation.h>
#import <MAMapKit/MAMapKit.h>
#import "NBMapMarkerController.h"

///定制不同的MarkerView
@interface NBMarkerViewsFactory : NSObject
+ (MAAnnotationView*)createUserAnnotationViewWith:(MAUserLocation*)userLocation mapView:(MAMapView*)mapView;
+ (MAAnnotationView*)createAnnotationViewWith:(NBMarker*)marker mapView:(MAMapView*)mapView;
+ (UIImage*)createMarkerViewWith:(NBMarker*)marker;
+ (MACustomCalloutView*)createCallOutViewWith:(NBMarker*)marker;
+ (UIView*)createAccessoryViewWith:(NBMarker*)marker isLeft:(BOOL)isLeft;
@end

