//
//  NBRendersFactory.m
//  nb_map
//
//  Created by Guo Longxiang, (Longxiang.Guo@partner.bmw.com) on 2019/11/1.
//
#import "NBRendersFactory.h"

@implementation NBRendersFactory

+ (MAPolylineRenderer*)createWithPolyline:(NBPolyline*)polyline {
    MAPolylineRenderer* renderer = [[MAPolylineRenderer alloc]initWithPolyline:polyline];
    CGFloat alpha = polyline.visible ? 1.0 : 0.0;
    UIColor* newFillColor = [polyline.fillColor colorWithAlphaComponent:alpha];
    UIColor* newStrokeColor = [polyline.strokeColor colorWithAlphaComponent:alpha];
    renderer.fillColor = newFillColor;
    renderer.strokeColor = newStrokeColor;
    renderer.lineWidth = polyline.lineWidth;
    return renderer;
}

+ (MAPolygonRenderer*)createWithPolygon:(NBPolygon*)polygon {
    MAPolygonRenderer* renderer = [[MAPolygonRenderer alloc]initWithPolygon:polygon];
    CGFloat alpha = polygon.visible ? 1.0 : 0.0;
    UIColor* newFillColor = [polygon.fillColor colorWithAlphaComponent:alpha];
    UIColor* newStrokeColor = [polygon.strokeColor colorWithAlphaComponent:alpha];
    renderer.fillColor = newFillColor;
    renderer.strokeColor = newStrokeColor;
    renderer.lineWidth = polygon.lineWidth;
    return renderer;
}

+ (MACircleRenderer*)createWithCircle:(NBCircle*)circle {
    MACircleRenderer* renderer = [[MACircleRenderer alloc]initWithCircle:circle];
    CGFloat alpha = circle.visible ? 1.0 : 0.0;
    UIColor* newFillColor = [circle.fillColor colorWithAlphaComponent:alpha];
    UIColor* newStrokeColor = [circle.strokeColor colorWithAlphaComponent:alpha];
    renderer.fillColor = newFillColor;
    renderer.strokeColor = newStrokeColor;
    renderer.lineWidth = circle.lineWidth;
    return renderer;
}

@end
